%define name perl-IO-Stty
%define module IO-Stty
%define version 02
%define release 3mdk

Summary:	IO-Stty perl module
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License: 	GPL
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{module}-.%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Patch0:		%{name}-paths.patch.bz2
Requires: 	perl 
Buildarch:	noarch

%description
IO-Stty is a module for setting terminal parameters.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{module}-.%{version}

%patch -p1

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README stty.txt
%{perl_vendorlib}/IO/*


%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 02-3mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 02-2mdk
- rebuild with new perl

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 02-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap
